% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/multivariance-functions.R
\name{pearson.qf}
\alias{pearson.qf}
\title{approximate distribution of Gaussian quadratic form}
\usage{
pearson.qf(x, moment, lower.tail = TRUE)
}
\arguments{
\item{x}{value at which the distribution function is to be evaluated}

\item{moment}{vector with the mean, variance and skewness of the quadratic form}

\item{lower.tail}{logical, indicating of the lower or upper tail of the distribution function should be calculated}
}
\description{
Approximation of the of the value of the distribution function of a gaussian quadratic form based on its first three moments.
}
\details{
This is Pearson's approximation for Gaussian quadratic forms as stated in Equation (4.64) in [4]
}
\references{
For the theoretic background see the reference [4] given on the main help page of this package: \link{multivariance-package}.
}
